Globalization in Angular Splitter component

12 Sep 20252 minutes to read

The Angular Splitter component supports globalization features, including right-to-left (RTL) rendering for languages such as Arabic and Hebrew.

Right-to-Left (RTL) support

To enable RTL layout, set the enableRtl property to true. This adjusts the direction of the Splitter panes and split bars to accommodate RTL writing systems.

The following code shows how to enable RTL behavior.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { FormsModule } from '@angular/forms'
import { SplitterModule } from '@syncfusion/ej2-angular-layouts'




import { Component } from '@angular/core';

@Component({
imports: [
         FormsModule, SplitterModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
      <div id='container'>
         <ejs-splitter #plain height='200px' width='600' enableRtl='true'>
            <e-panes>
                <e-pane size='200px' content='<div class="content">Left pane</div>'>
                </e-pane>
                <e-pane size='200px' content='<div class="content">Middle pane</div>'>
                </e-pane>
                <e-pane size='200px' content='<div class="content">Right pane</div>'>
                </e-pane>
            </e-panes>
          </ejs-splitter>
      </div>`
})
export class AppComponent {
    constructor() {
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See Also

Globalization in Vue Splitter component

5 Jun 20243 minutes to read

RTL

Specifies the direction of the Splitter component using the enableRtl property. For writing systems that require it like Arabic, Hebrew, etc., the direction can be switched to right-to-left.

The following code shows how to enable RTL behavior.

html
<template>
  <div id="app" class="col-lg-12 control-section default-splitter">
    <ejs-splitter id='splitter' height='200px' enableRtl='true'>
      <e-panes>
        <e-pane content='Left Pane' size='200px'></e-pane>
        <e-pane content='Middle Pane' size='200px'></e-pane>
        <e-pane content='Right Pane' size='200px'></e-pane>
      </e-panes>
    </ejs-splitter>
  </div>
</template>
<script setup>

import { SplitterComponent as EjsSplitter, PanesDirective as EPanes, PaneDirective as EPane } from '@syncfusion/ej2-vue-layouts';

</script>

<style>
.e-pane {
  align-items: center;
  padding: 9px;
  display: flex;
}

@import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material.css";
</style>
html
<template>
    <div id="app" class="col-lg-12 control-section default-splitter">
        <ejs-splitter id='splitter' height='200px' enableRtl='true'>
            <e-panes>
                <e-pane content='Left Pane' size='200px'></e-pane>
                <e-pane content='Middle Pane' size='200px'></e-pane>
                <e-pane content='Right Pane' size='200px'></e-pane>
            </e-panes>
        </ejs-splitter>
    </div>
</template>
<script>

import { SplitterComponent, PanesDirective, PaneDirective } from '@syncfusion/ej2-vue-layouts';

export default {
    name: "App",
    components: {
        "ejs-splitter": SplitterComponent,
        "e-panes": PanesDirective,
        "e-pane": PaneDirective
    },
    data() {
        return {}
    }
}
</script>

<style>
.e-pane {
    align-items: center;
    padding: 9px;
    display: flex;
}

@import "../node_modules/@syncfusion/ej2-vue-layouts/styles/material.css";
</style>

See Also

Globalization in React Splitter component

7 Oct 20254 minutes to read

The React Splitter component supports globalization features, including right-to-left (RTL) rendering for languages such as Arabic and Hebrew.

Right-to-Left (RTL) support

To enable RTL layout, set the enableRtl property to true. This adjusts the direction of the Splitter panes and split bars to accommodate RTL writing systems.

The following code shows how to enable RTL behavior.

[Class-component]

import { PaneDirective, PanesDirective, SplitterComponent } from '@syncfusion/ej2-react-layouts';
import * as React from "react";
class App extends React.Component {
    render() {
        return (<div className="App">
    <SplitterComponent id="rtl" height="250px" enableRtl="true">
    <PanesDirective>
      <PaneDirective size='200px' content='Left pane'/>
      <PaneDirective size='200px' content='Middle pane'/>
      <PaneDirective size='200px' content='Right pane'/>
    </PanesDirective>
    </SplitterComponent>
        </div>);
    }
}
export default App;
import { PaneDirective, PanesDirective, SplitterComponent } from '@syncfusion/ej2-react-layouts';
import * as React from "react";

class App extends React.Component {
public render() {
  return (<div className="App">
    <SplitterComponent id="rtl" height="250px" enableRtl="true">
    <PanesDirective>
      <PaneDirective size='200px' content = 'Left pane'/>
      <PaneDirective size='200px' content = 'Middle pane'/>
      <PaneDirective size='200px' content = 'Right pane'/>
    </PanesDirective>
    </SplitterComponent>
</div>);
}
}
export default App;

[Functional-component]

import { PaneDirective, PanesDirective, SplitterComponent } from '@syncfusion/ej2-react-layouts';
import * as React from "react";
function App() {
    return (<div className="App">
        <SplitterComponent id="rtl" height="250px" enableRtl="true">
        <PanesDirective>
          <PaneDirective size='200px' content='Left pane'/>
          <PaneDirective size='200px' content='Middle pane'/>
          <PaneDirective size='200px' content='Right pane'/>
        </PanesDirective>
        </SplitterComponent>
    </div>);
}
export default App;
import { PaneDirective, PanesDirective, SplitterComponent } from '@syncfusion/ej2-react-layouts';
import * as React from "react";

function App () {

  return (
    <div className="App">
        <SplitterComponent id="rtl" height="250px" enableRtl="true">
        <PanesDirective>
          <PaneDirective size='200px' content = 'Left pane'/>
          <PaneDirective size='200px' content = 'Middle pane'/>
          <PaneDirective size='200px' content = 'Right pane'/>
        </PanesDirective>
        </SplitterComponent>
    </div>
  );

}
export default App;

See Also